Groovy 1.7.10

## org.codehaus.groovy.tools.shell.util
[Java] Class NoExitSecurityManager

    java.lang.Object
      java.lang.SecurityManager
          org.codehaus.groovy.tools.shell.util.NoExitSecurityManager

    public class NoExitSecurityManager
    extends SecurityManager

Custom security manager to System.exit (and related) from being used.

Version:
  \$Rev: 13768 \$ \$Date: 2008-10-17 14:41:08 +0200 (Fr, 17. Okt 2008) \$

Constructor Summary
`NoExitSecurityManager(SecurityManager parent)`
`NoExitSecurityManager()`

Method Summary
`void` | `checkExit(int code)` Always throws SecurityException.
`void` | `checkPermission(Permission perm)`

Methods inherited from class SecurityManager

checkPackageAccess, checkMemberAccess, checkPermission, checkPermission, checkCreateClassLoader, checkPropertiesAccess, checkPropertyAccess, getThreadGroup, checkAccess, checkAccess, checkExit, checkLink, checkRead, checkRead, checkRead, checkWrite, checkWrite, checkDelete, checkExec, checkConnect, checkConnect, checkSetFactory, checkAccept, checkAwtEventQueueAccess, checkListen, checkMulticast, checkMulticast, checkPackageDefinition, checkPrintJobAccess, checkSecurityAccess, checkSystemClipboardAccess, checkTopLevelWindow, getInCheck, getSecurityContext, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### NoExitSecurityManager

    public NoExitSecurityManager(SecurityManager parent)

### NoExitSecurityManager

    public NoExitSecurityManager()

Method Detail

### checkExit

    public void checkExit(int code)

  Always throws SecurityException.

### checkPermission

    public void checkPermission(Permission perm)

Copyright © 2003-2010 The Codehaus. All rights reserved.